Package org.lwjgl.opengl

# Class NVFence

java.lang.Object
org.lwjgl.opengl.NVFence

public final class NVFence extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ALL_COMPLETED_NV`
`static final int`
`GL_FENCE_CONDITION_NV`
`static final int`
`GL_FENCE_STATUS_NV`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDeleteFencesNV(int fence)`
Overloads glDeleteFencesNV.
`static void`
`glDeleteFencesNV(IntBuffer piFences)`
`static void`
`glFinishFenceNV(int fence)`
`static int`
`glGenFencesNV()`
Overloads glGenFencesNV.
`static void`
`glGenFencesNV(IntBuffer piFences)`
`static void`
`glGetFenceivNV(int fence, int pname, IntBuffer piParams)`
`static boolean`
`glIsFenceNV(int fence)`
`static void`
`glSetFenceNV(int fence, int condition)`
`static boolean`
`glTestFenceNV(int fence)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_ALL_COMPLETED_NV

public static final int GL_ALL_COMPLETED_NV

See Also:
  - Constant Field Values

### GL_FENCE_STATUS_NV

public static final int GL_FENCE_STATUS_NV

See Also:
  - Constant Field Values

### GL_FENCE_CONDITION_NV

public static final int GL_FENCE_CONDITION_NV

See Also:
  - Constant Field Values

## Method Details

### glGenFencesNV

public static void glGenFencesNV(IntBuffer piFences)

### glGenFencesNV

public static int glGenFencesNV()
Overloads glGenFencesNV.

### glDeleteFencesNV

public static void glDeleteFencesNV(IntBuffer piFences)

### glDeleteFencesNV

public static void glDeleteFencesNV(int fence)
Overloads glDeleteFencesNV.

### glSetFenceNV

public static void glSetFenceNV(int fence, int condition)

### glTestFenceNV

public static boolean glTestFenceNV(int fence)

### glFinishFenceNV

public static void glFinishFenceNV(int fence)

### glIsFenceNV

public static boolean glIsFenceNV(int fence)

### glGetFenceivNV

public static void glGetFenceivNV(int fence, int pname, IntBuffer piParams)